org.apache.catalina

## Class SessionEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.catalina.SessionEvent

All Implemented Interfaces:
  Serializable

    public final class SessionEvent
    extends EventObject

General event for notifying listeners of significant changes on a Session.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`SessionEvent(Session session, String type, Object data)` Construct a new SessionEvent with the specified parameters.

### Method Summary

Methods
`Object` `getData()` Return the event data of this event.
`Session` `getSession()` Return the Session on which this event occurred.
`String` `getType()` Return the event type of this event.
`String` `toString()` Return a string representation of this event.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SessionEvent

    public SessionEvent(Session session,
                String type,
                Object data)

Construct a new SessionEvent with the specified parameters.

Parameters:
  `session` - Session on which this event occurred
  `type` - Event type
  `data` - Event data

### Method Detail

#### getData

    public Object getData()

Return the event data of this event.

#### getSession

    public Session getSession()

Return the Session on which this event occurred.

#### getType

    public String getType()

Return the event type of this event.

#### toString

    public String toString()

Return a string representation of this event.

Overrides:
  `toString` in class `EventObject`